aboutsummaryrefslogtreecommitdiff
path: root/test-suite
diff options
context:
space:
mode:
authorEnrico Tassi2019-05-29 13:09:07 +0200
committerEnrico Tassi2019-05-29 13:09:07 +0200
commitd47b279c2b0510535ef6f1affe23c7fab812c745 (patch)
tree473977a856b5bb3273fda348775c39a4cb3f78b1 /test-suite
parentd62215a4c06680d2052238544b9e31422f512eaf (diff)
parent356f496f16219c5e3bd9a651b867c48411bde17d (diff)
Merge PR #10270: Fix debug printers
Reviewed-by: gares
Diffstat (limited to 'test-suite')
-rw-r--r--test-suite/Makefile1
-rwxr-xr-xtest-suite/misc/printers.sh8
2 files changed, 7 insertions, 2 deletions
diff --git a/test-suite/Makefile b/test-suite/Makefile
index 94011447d7..552d007f85 100644
--- a/test-suite/Makefile
+++ b/test-suite/Makefile
@@ -561,7 +561,6 @@ $(patsubst %.sh,%.log,$(wildcard misc/*.sh)): %.log: %.sh $(PREREQUISITELOG)
export coqc="$(coqc)"; \
export coqtop="$(coqc)"; \
export coqdep="$(coqdep)"; \
- export coqtopbyte="$(coqtopbyte)"; \
"$<" 2>&1; R=$$?; times; \
if [ $$R = 0 ]; then \
echo $(log_success); \
diff --git a/test-suite/misc/printers.sh b/test-suite/misc/printers.sh
index ef3f056d89..f659fce680 100755
--- a/test-suite/misc/printers.sh
+++ b/test-suite/misc/printers.sh
@@ -1,2 +1,8 @@
#!/bin/sh
-if printf "Drop. #use\"include\";; #quit;;\n" | $coqtopbyte 2>&1 | grep -E "Error|Unbound" ; then exit 1; else exit 0; fi
+
+command -v "${BIN}coqtop.byte" || { echo "Missing coqtop.byte"; exit 1; }
+
+f=$(mktemp)
+printf 'Drop. #use"include";; #quit;;\n' | "${BIN}coqtop.byte" -q 2>&1 | tee "$f"
+
+if grep -q -E "Error|Unbound" "$f"; then exit 1; fi